diff -uNr mythtv-0.21/i18n/mythfrontend_he.ts mythtv/i18n/mythfrontend_he.ts
--- mythtv-0.21/i18n/mythfrontend_he.ts	2008-03-04 04:48:46.000000000 +0100
+++ mythtv/i18n/mythfrontend_he.ts	2008-03-21 10:27:07.000000000 +0100
@@ -66,19 +66,19 @@
     <name>BackendSelect</name>
     <message>
         <source>Please select default Myth Backend Server</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר שרת ברירת מחדל</translation>
     </message>
     <message>
         <source>OK</source>
-        <translation type="unfinished"></translation>
+        <translation>OK</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">ביטול</translation>
+        <translation>ביטול</translation>
     </message>
     <message>
         <source>Configure Manually</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר ידנית</translation>
     </message>
 </context>
 <context>
@@ -171,30 +171,30 @@
     </message>
     <message>
         <source>Create Input Group</source>
-        <translation type="unfinished"></translation>
+        <translation>צור קבוצת כניסה</translation>
     </message>
     <message>
         <source>Enter new group name</source>
-        <translation type="unfinished"></translation>
+        <translation>הכנס שם קבוצה חדש</translation>
     </message>
     <message>
         <source>Error</source>
-        <translation type="unfinished"></translation>
+        <translation>שגיאה</translation>
     </message>
     <message>
         <source>Sorry, this Input Group name can not be blank.</source>
-        <translation type="unfinished"></translation>
+        <translation>סליחה, שם קבוצה אינו יכול להיות ריק.</translation>
     </message>
     <message>
         <source>Sorry, this Input Group name is already in use.</source>
-        <translation type="unfinished"></translation>
+        <translation>סליחה, שם קבוצה זה כבר בשימוש.</translation>
     </message>
 </context>
 <context>
     <name>CardInputEditor</name>
     <message>
         <source>Input connections</source>
-        <translation type="unfinished">Input connections</translation>
+        <translation>מחברי כניסה</translation>
     </message>
 </context>
 <context>
@@ -245,35 +245,35 @@
     </message>
     <message>
         <source>Are you sure you would like to delete ALL channels?</source>
-        <translation type="unfinished"></translation>
+        <translation>האם אתה בטוח שברצונך למחוק את כל הערוצים ?</translation>
     </message>
     <message>
         <source>Are you sure you would like to delete all unassigned channels?</source>
-        <translation type="unfinished"></translation>
+        <translation>האם אתה בטוח שברצונך למחוק את כל הערוצים הלא משוייכים ?</translation>
     </message>
     <message>
         <source>Are you sure you would like to delete the channels on %1?</source>
-        <translation type="unfinished"></translation>
+        <translation>האם אתה בטוח שברצונך למחוק את כל הערוצים ב%1 ?</translation>
     </message>
     <message>
         <source>Add some for channels first!</source>
-        <translation type="unfinished"></translation>
+        <translation>הוסף מספר ערוצים תחילה!</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">ביטול</translation>
+        <translation>ביטול</translation>
     </message>
     <message>
         <source>Download all icons..</source>
-        <translation type="unfinished"></translation>
+        <translation>הורד אייקונים מהרשת..</translation>
     </message>
     <message>
         <source>Rescan for missing icons..</source>
-        <translation type="unfinished"></translation>
+        <translation>סרוק לאייקונים חסרים..</translation>
     </message>
     <message>
         <source>Download icon for </source>
-        <translation type="unfinished"></translation>
+        <translation>הורד אייקון עבור</translation>
     </message>
 </context>
 <context>
@@ -475,23 +475,23 @@
     </message>
     <message>
         <source>stored search</source>
-        <translation type="unfinished"></translation>
+        <translation>חיפוש שמור</translation>
     </message>
     <message>
         <source>Add</source>
-        <translation type="unfinished"></translation>
+        <translation>הוסף</translation>
     </message>
     <message>
         <source>Match this series</source>
-        <translation type="unfinished"></translation>
+        <translation>התאם לסדרה זו</translation>
     </message>
     <message>
         <source>Match words in the subtitle</source>
-        <translation type="unfinished"></translation>
+        <translation>התאם למילים בכותרת משנה</translation>
     </message>
     <message>
         <source>Only shows marked as widescreen</source>
-        <translation type="unfinished"></translation>
+        <translation>רק מופעים המסומנים כמסך רחב</translation>
     </message>
     <message>
         <source>Exclude H.264 encoded streams (EIT only)</source>
@@ -904,6 +904,14 @@
         <source>Western</source>
         <translation type="unfinished">Western</translation>
     </message>
+    <message>
+        <source>Voltage</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <source>Mini DiSEqC</source>
+        <translation type="unfinished"></translation>
+    </message>
 </context>
 <context>
     <name>FirewireDesc</name>
@@ -923,51 +931,52 @@
     <name>InfoDialog</name>
     <message>
         <source>Record this program whenever it&apos;s shown anywhere</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלט תוכנית בכל זמן בכל ערוץ</translation>
     </message>
     <message>
         <source>Record this program whenever it&apos;s shown on this channel</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלט תוכנית זו בכל זמן שהוא בערוץ זה</translation>
     </message>
     <message>
         <source>Record this program in this timeslot every week</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלט תוכנית זו באותו זמן בכל שבוע</translation>
     </message>
     <message>
         <source>Record this program in this timeslot every day</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלט תוכנית זו באותו זמן בכל יום</translation>
     </message>
     <message>
         <source>Record one showing of this title</source>
-        <translation type="unfinished">הקלטה יחדה של כותר זה</translation>
+        <translation>הקלטה יחדה של כותר זה</translation>
     </message>
     <message>
         <source>Record only this showing of the program</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלט שידור זה של התוכנית</translation>
     </message>
     <message>
         <source>Don&apos;t record this program</source>
-        <translation type="unfinished"></translation>
+        <translation>אל תקליט תוכנית זו</translation>
     </message>
     <message>
         <source>Don&apos;t record this showing</source>
-        <translation type="unfinished"></translation>
+        <translation>אל תקליט שידור זה של התוכנית</translation>
     </message>
     <message>
         <source>Record this showing with override options</source>
-        <translation>Record this showing with override options</translation>
+        <translation>הקלט מופע זה של התוכנית באופציית עקיפה
+</translation>
     </message>
     <message>
         <source>Record this showing with normal options</source>
-        <translation>Record this showing with normal options</translation>
+        <translation>הקלט מופע זה של התוכנית באופציה רגילה</translation>
     </message>
     <message>
         <source>To go to the advanced recordings screen, press &apos;i&apos;</source>
-        <translation>To go to the advanced recordings screen, press &apos;i&apos;</translation>
+        <translation>למסך אפשרויות הקלטה מתקדמות הקש &apos;i&apos;</translation>
     </message>
     <message>
         <source>To see a list of all up-coming showings of this program, press &apos;5&apos;</source>
-        <translation type="unfinished"></translation>
+        <translation>לצפיה ברשימת מופעים עתידים של תוכנית זו הקש &apos;S&apos;</translation>
     </message>
 </context>
 <context>
@@ -981,19 +990,19 @@
     <name>JobQueue</name>
     <message>
         <source>Transcode</source>
-        <translation>Transcode</translation>
+        <translation>המרה</translation>
     </message>
     <message>
         <source>Flag Commercials</source>
-        <translation>Flag Commercials</translation>
+        <translation>סמן פרסומות</translation>
     </message>
     <message>
         <source>Unknown Job</source>
-        <translation type="unfinished"></translation>
+        <translation>משימה לא ידועה</translation>
     </message>
     <message>
         <source>Undefined</source>
-        <translation>Undefined</translation>
+        <translation>לא מוגדר</translation>
     </message>
 </context>
 <context>
@@ -1015,19 +1024,19 @@
     <name>ManualBox</name>
     <message>
         <source>Manual Recording</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלטה ידנית</translation>
     </message>
     <message>
         <source>Title:</source>
-        <translation>Title:</translation>
+        <translation>כותרת:</translation>
     </message>
     <message>
         <source>Subtitle:</source>
-        <translation>Subtitle:</translation>
+        <translation>כותרת משנה:</translation>
     </message>
     <message>
         <source>Duration:</source>
-        <translation>Duration:</translation>
+        <translation>משך:</translation>
     </message>
     <message>
         <source>minutes</source>
@@ -1035,7 +1044,7 @@
     </message>
     <message>
         <source>Start</source>
-        <translation>Start</translation>
+        <translation>תחילת</translation>
     </message>
     <message>
         <source>Stop</source>
@@ -1046,35 +1055,35 @@
     <name>ManualSchedule</name>
     <message>
         <source>Manual Recording Scheduler</source>
-        <translation type="unfinished"></translation>
+        <translation>מתזמן הקלטות ידני</translation>
     </message>
     <message>
         <source>Channel:</source>
-        <translation type="unfinished">:ערוץ</translation>
+        <translation>ערוץ:</translation>
     </message>
     <message>
         <source>Date or day of the week</source>
-        <translation type="unfinished"></translation>
+        <translation>תאריך או יום בשבוע</translation>
     </message>
     <message>
         <source>5 weekdays if daily</source>
-        <translation>5 weekdays if daily</translation>
+        <translation>אמצע השבוע אם יומי</translation>
     </message>
     <message>
         <source>7 days per week if daily</source>
-        <translation>7 days per week if daily</translation>
+        <translation>7 ימים אם יומי</translation>
     </message>
     <message>
         <source>Time:</source>
-        <translation>Time:</translation>
+        <translation>זמן:</translation>
     </message>
     <message>
         <source>Duration:</source>
-        <translation>Duration:</translation>
+        <translation>משך:</translation>
     </message>
     <message>
         <source>minute</source>
-        <translation>minute</translation>
+        <translation>דקה</translation>
     </message>
     <message>
         <source>minutes</source>
@@ -1082,11 +1091,11 @@
     </message>
     <message>
         <source>Title (optional):</source>
-        <translation>Title (optional):</translation>
+        <translation>כותרת (אופציונאלי):</translation>
     </message>
     <message>
         <source>Set Recording Options</source>
-        <translation>Set Recording Options</translation>
+        <translation>קבע אפשרויות הקלטה</translation>
     </message>
     <message>
         <source>Cancel</source>
@@ -1094,57 +1103,57 @@
     </message>
     <message>
         <source>Manual Record</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלטה ידנית</translation>
     </message>
 </context>
 <context>
     <name>MediaMonitor</name>
     <message>
         <source>Cancel</source>
-        <translation type="unfinished">ביטול</translation>
+        <translation>ביטול</translation>
     </message>
     <message>
         <source>Select removable media to eject or insert</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר מדיה להכניס או להוציא</translation>
     </message>
     <message>
         <source>No devices to eject</source>
-        <translation type="unfinished"></translation>
+        <translation>אין התקן להוציא</translation>
     </message>
     <message>
         <source>Failed to unmount %1</source>
-        <translation type="unfinished"></translation>
+        <translation>לא מצליח לנתק את %1</translation>
     </message>
     <message>
         <source>You may safely remove %1</source>
-        <translation type="unfinished"></translation>
+        <translation>ניתן לנתק את %1 בביטחה</translation>
     </message>
     <message>
         <source>Failed to eject %1</source>
-        <translation type="unfinished"></translation>
+        <translation>לא מצליח להוציא את %1</translation>
     </message>
     <message>
         <source>Select a CD drive</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר כונן CD</translation>
     </message>
     <message>
         <source>Select a VCD drive</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר כונן VCD</translation>
     </message>
     <message>
         <source>Select a DVD drive</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר כונן DVD</translation>
     </message>
     <message>
         <source>Select a DVD writer</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר צורב DVD</translation>
     </message>
 </context>
 <context>
     <name>MultiplexSetting</name>
     <message>
         <source>Transport</source>
-        <translation type="unfinished">Transport</translation>
+        <translation>שינוע</translation>
     </message>
 </context>
 <context>
@@ -1238,7 +1247,7 @@
     </message>
     <message>
         <source>Cancel</source>
-        <translation>ביטול</translation>
+        <translation type="unfinished">בטל</translation>
     </message>
 </context>
 <context>
@@ -1290,11 +1299,11 @@
     </message>
     <message>
         <source>Create New Playback Group</source>
-        <translation type="unfinished"></translation>
+        <translation>צור קבוצת צפיה חדשה</translation>
     </message>
     <message>
         <source>Enter group name or press SELECT to enter text via the On Screen Keyboard</source>
-        <translation type="unfinished"></translation>
+        <translation>הכנס שם קבוצה או SELECT לשימוש במקלדת וירטואלית</translation>
     </message>
     <message>
         <source>Delete playback group:</source>
@@ -1473,15 +1482,15 @@
     </message>
     <message>
         <source>Change Recording Group</source>
-        <translation>Change Recording Group</translation>
+        <translation>שנה קבוצת הקלטה</translation>
     </message>
     <message>
         <source>Change Playback Group</source>
-        <translation>Change Playback Group</translation>
+        <translation>שנה קבוצת צפיה</translation>
     </message>
     <message>
         <source>Job Options</source>
-        <translation>Job Options</translation>
+        <translation>אפשרויות עבודה</translation>
     </message>
     <message>
         <source>Delete</source>
@@ -1529,11 +1538,11 @@
     </message>
     <message>
         <source>Do not preserve this episode</source>
-        <translation type="unfinished"></translation>
+        <translation>אל תשמר פרק זה</translation>
     </message>
     <message>
         <source>Preserve this episode</source>
-        <translation type="unfinished"></translation>
+        <translation>שמר פרק זה</translation>
     </message>
     <message>
         <source>Edit Recording Schedule</source>
@@ -1545,7 +1554,7 @@
     </message>
     <message>
         <source>Change Recording Title</source>
-        <translation>Change Recording Title</translation>
+        <translation>שנה את שם ההקלטה</translation>
     </message>
     <message>
         <source>User Job</source>
@@ -1577,11 +1586,11 @@
     </message>
     <message>
         <source>Remove from Playlist</source>
-        <translation>Remove from Playlist</translation>
+        <translation>הסר מרשימת צפיה</translation>
     </message>
     <message>
         <source>Add to Playlist</source>
-        <translation>Add to Playlist</translation>
+        <translation>הוסף לרשימת צפיה</translation>
     </message>
     <message>
         <source>Stop Recording</source>
@@ -1589,11 +1598,11 @@
     </message>
     <message>
         <source>Storage Options</source>
-        <translation>Storage Options</translation>
+        <translation>אפשרויות אכסון</translation>
     </message>
     <message>
         <source>Recording Options</source>
-        <translation>Recording Options</translation>
+        <translation>אפשרויות הקלטה</translation>
     </message>
     <message>
         <source>Status Icons</source>
@@ -1601,7 +1610,7 @@
     </message>
     <message>
         <source>Commercials are flagged</source>
-        <translation type="unfinished"></translation>
+        <translation>פרסומות סומנו</translation>
     </message>
     <message>
         <source>An editing cutlist is present</source>
@@ -1753,27 +1762,27 @@
     </message>
     <message>
         <source>Delete, and allow re-record</source>
-        <translation type="unfinished"></translation>
+        <translation>מחק, ואפשר להקליט מחדש</translation>
     </message>
     <message>
         <source>Allow this program to re-record</source>
-        <translation type="unfinished"></translation>
+        <translation>אפשר לתוכנית זו להקליט מחדש</translation>
     </message>
     <message>
         <source>Mark as Unwatched</source>
-        <translation type="unfinished"></translation>
+        <translation>סמן כלא נצפה</translation>
     </message>
     <message>
         <source>Mark as Watched</source>
-        <translation type="unfinished"></translation>
+        <translation>סמן כנצפה</translation>
     </message>
     <message>
         <source>Undelete</source>
-        <translation type="unfinished"></translation>
+        <translation>בטל מחיקה</translation>
     </message>
     <message>
         <source>Delete Forever</source>
-        <translation type="unfinished"></translation>
+        <translation>מחק לצמיתות</translation>
     </message>
     <message>
         <source>Recording is in Mono</source>
@@ -1915,7 +1924,7 @@
     </message>
     <message>
         <source>Select Sort Order</source>
-        <translation>Select Sort Order</translation>
+        <translation>בחר סדר מיון</translation>
     </message>
     <message>
         <source>Sort by Time</source>
@@ -1923,7 +1932,7 @@
     </message>
     <message>
         <source>Reverse Time</source>
-        <translation>Reverse Time</translation>
+        <translation>הפוך זמן</translation>
     </message>
     <message>
         <source>Sort by Title</source>
@@ -1931,11 +1940,11 @@
     </message>
     <message>
         <source>Reverse Title</source>
-        <translation>Reverse Title</translation>
+        <translation>הפוך כותרתReverse Title</translation>
     </message>
     <message>
         <source>NOTE: removing items from this list will not delete any recordings.</source>
-        <translation type="unfinished"></translation>
+        <translation>שים לב:מחיקת פריטים מרשימה זו אינה מוחקת את ההקלטה.</translation>
     </message>
     <message>
         <source>OK</source>
@@ -1943,7 +1952,7 @@
     </message>
     <message>
         <source>Allow this episode to re-record</source>
-        <translation type="unfinished"></translation>
+        <translation>אפשר לפרק זה להקליט מחדש</translation>
     </message>
     <message>
         <source>Never record this episode</source>
@@ -1951,7 +1960,7 @@
     </message>
     <message>
         <source>Remove this episode from the list</source>
-        <translation type="unfinished"></translation>
+        <translation>מחק פרק זה מהרשימה</translation>
     </message>
     <message>
         <source>Remove all episodes for this title</source>
@@ -1959,11 +1968,11 @@
     </message>
     <message>
         <source>Time</source>
-        <translation type="unfinished"></translation>
+        <translation>זמן</translation>
     </message>
     <message>
         <source>Title</source>
-        <translation type="unfinished">Title</translation>
+        <translation>כותרתTitle</translation>
     </message>
 </context>
 <context>
@@ -1996,7 +2005,7 @@
     </message>
     <message>
         <source>New Title Search</source>
-        <translation>חיפוש כותר חגד</translation>
+        <translation>חיפוש כותר חדש</translation>
     </message>
     <message>
         <source>Title Search</source>
@@ -2028,11 +2037,11 @@
     </message>
     <message>
         <source>Movie Search</source>
-        <translation>Movie Search</translation>
+        <translation>חיפוש סרטים</translation>
     </message>
     <message>
         <source>Time Search</source>
-        <translation>Time Search</translation>
+        <translation>חיפוש זמן</translation>
     </message>
     <message>
         <source>Unknown Search</source>
@@ -2052,15 +2061,15 @@
     </message>
     <message>
         <source>Select List</source>
-        <translation>Select List</translation>
+        <translation>בחר רשימה</translation>
     </message>
     <message>
         <source>Select</source>
-        <translation>Select</translation>
+        <translation>בחר</translation>
     </message>
     <message>
         <source>Select Phrase</source>
-        <translation>Select Phrase</translation>
+        <translation>בחר ביטוי</translation>
     </message>
     <message>
         <source>&lt;New Phrase&gt;</source>
@@ -2076,11 +2085,11 @@
     </message>
     <message>
         <source>Record</source>
-        <translation>Record</translation>
+        <translation>הקלט</translation>
     </message>
     <message>
         <source>Select Search</source>
-        <translation>Select Search</translation>
+        <translation>בחר חיפוש</translation>
     </message>
     <message>
         <source>&lt;New Search&gt;</source>
@@ -2092,27 +2101,27 @@
     </message>
     <message>
         <source>Select Time</source>
-        <translation>Select Time</translation>
+        <translation>בחר זמן</translation>
     </message>
     <message>
         <source>Edit Power Search Fields</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר שדות חיפוש מתקדם</translation>
     </message>
     <message>
         <source>Optional title phrase:</source>
-        <translation type="unfinished"></translation>
+        <translation>ביטוי כותרת אפשרי:</translation>
     </message>
     <message>
         <source>Optional subtitle phrase:</source>
-        <translation>Optional subtitle phrase:</translation>
+        <translation>ביטוי כותרת משנה אפשרי:</translation>
     </message>
     <message>
         <source>Optional description phrase:</source>
-        <translation type="unfinished"></translation>
+        <translation>ביטוי תאור אפשרי:</translation>
     </message>
     <message>
         <source>(Any Program Type)</source>
-        <translation type="unfinished"></translation>
+        <translation>(כל סוג תוכנית)</translation>
     </message>
     <message>
         <source>Movies</source>
@@ -2120,15 +2129,15 @@
     </message>
     <message>
         <source>Series</source>
-        <translation>Series</translation>
+        <translation>סדרה</translation>
     </message>
     <message>
         <source>Show</source>
-        <translation>Show</translation>
+        <translation>מופע</translation>
     </message>
     <message>
         <source>Sports</source>
-        <translation>Sports</translation>
+        <translation>ספורט</translation>
     </message>
     <message>
         <source>(Any Genre)</source>
@@ -2136,7 +2145,7 @@
     </message>
     <message>
         <source>(Any Station)</source>
-        <translation>(Any Station)</translation>
+        <translation>(כל תחנה)</translation>
     </message>
     <message>
         <source>All</source>
@@ -2144,11 +2153,11 @@
     </message>
     <message>
         <source>Premieres</source>
-        <translation>Premieres</translation>
+        <translation>בכורה</translation>
     </message>
     <message>
         <source>Specials</source>
-        <translation>Specials</translation>
+        <translation>מיוחד</translation>
     </message>
     <message>
         <source>4 stars</source>
@@ -2168,59 +2177,59 @@
     </message>
     <message>
         <source>Power Recording Rule</source>
-        <translation type="unfinished"></translation>
+        <translation>הוראת הקלטה מתקדמת</translation>
     </message>
     <message>
         <source>Stored Search</source>
-        <translation type="unfinished"></translation>
+        <translation>חיפוש שמור</translation>
     </message>
     <message>
         <source>Select a search stored from</source>
-        <translation type="unfinished"></translation>
+        <translation>בחר חיפוש שמור מ</translation>
     </message>
     <message>
         <source>Custom Record</source>
-        <translation type="unfinished"></translation>
+        <translation>הקלטה מותאמת</translation>
     </message>
     <message>
         <source>0 .. 9 moves to Nx10 percent in list</source>
-        <translation type="unfinished"></translation>
+        <translation>0..9 מעביר לNx10 אחוז ברשימה</translation>
     </message>
     <message>
         <source>Delete &apos;%1&apos; %2 rule?</source>
-        <translation type="unfinished"></translation>
+        <translation>מחק הוראה &apos;%1&apos; $2 ?</translation>
     </message>
     <message>
         <source>Unrated</source>
-        <translation type="unfinished"></translation>
+        <translation>ללא דרוג</translation>
     </message>
     <message>
         <source>At least ***/</source>
-        <translation type="unfinished"></translation>
+        <translation>לפחות ***/</translation>
     </message>
     <message>
         <source>At least ***</source>
-        <translation type="unfinished"></translation>
+        <translation>לפחות ***</translation>
     </message>
     <message>
         <source>At least **/</source>
-        <translation type="unfinished"></translation>
+        <translation>לפחות **/</translation>
     </message>
     <message>
         <source>At least **</source>
-        <translation type="unfinished"></translation>
+        <translation>לפחות **</translation>
     </message>
     <message>
         <source>At least */</source>
-        <translation type="unfinished"></translation>
+        <translation>לפחות */</translation>
     </message>
     <message>
         <source>At least *</source>
-        <translation type="unfinished"></translation>
+        <translation>לפחות *</translation>
     </message>
     <message>
         <source>At least /</source>
-        <translation type="unfinished"></translation>
+        <translation>לפחות /</translation>
     </message>
 </context>
 <context>
@@ -2239,47 +2248,47 @@
     </message>
     <message>
         <source>Recording %1 of %2</source>
-        <translation>Recording %1 of %2</translation>
+        <translation>מקליט %1 מתוך %2</translation>
     </message>
     <message>
         <source>Recording just this showing</source>
-        <translation>Recording just this showing</translation>
+        <translation>מקליט רק מופע זה</translation>
     </message>
     <message>
         <source>Recording with override options</source>
-        <translation>Recording with override options</translation>
+        <translation>מקליט באפשרויות עקיפה</translation>
     </message>
     <message>
         <source>Recording every week</source>
-        <translation>Recording every week</translation>
+        <translation>מקליט כל שבוע</translation>
     </message>
     <message>
         <source>Recording in this timeslot</source>
-        <translation>Recording in this timeslot</translation>
+        <translation>מקליט בזמן שידור זה</translation>
     </message>
     <message>
         <source>Recording on this channel</source>
-        <translation type="unfinished"></translation>
+        <translation>מקליט בערוץ זה</translation>
     </message>
     <message>
         <source>Recording all showings</source>
-        <translation type="unfinished"></translation>
+        <translation>מקליט כל המופעים</translation>
     </message>
     <message>
         <source>Recording one showing</source>
-        <translation>Recording one showing</translation>
+        <translation>מקליט מופע אחד</translation>
     </message>
     <message>
         <source>Recording a showing daily</source>
-        <translation>Recording a showing daily</translation>
+        <translation>מקליט מופע באופן יומי</translation>
     </message>
     <message>
         <source>Recording a showing weekly</source>
-        <translation>Recording a showing weekly</translation>
+        <translation>מקליט מופע באופן שבועי</translation>
     </message>
     <message>
         <source>Not allowed to record this showing</source>
-        <translation type="unfinished"></translation>
+        <translation>לא מורשה להקליט מופע זה</translation>
     </message>
     <message>
         <source>Not recording this showing</source>
@@ -2291,7 +2300,7 @@
     </message>
     <message>
         <source>Delete &apos;%1&apos; %2 rule?</source>
-        <translation type="unfinished"></translation>
+        <translation>מחק הוראת הקלטה &apos;%1&apos; %2 ?</translation>
     </message>
 </context>
 <context>
